searchNodes=[{"doc":"A date-time parser using Calendar.strftime format strings.","ref":"Datix.html","title":"Datix","type":"module"},{"doc":"Parses a date-time string according to the given format.See the Calendar.strftime documentation for how to specify a format string.Options:preferred_date - a string for the preferred format to show dates, it can't contain the %x format and defaults to &quot;%Y-%m-%d&quot; if the option is not received :month_names - a list of the month names, if the option is not received it defaults to a list of month names in English:abbreviated_month_names - a list of abbreviated month names, if the option is not received it defaults to a list of abbreviated month names in English:day_of_week_names - a list of day names, if the option is not received it defaults to a list of day names in English:abbreviated_day_of_week_names - a list of abbreviated day names, if the option is not received it defaults to a list of abbreviated day names in English:preferred_time - a string for the preferred format to show times, it can't contain the %X format and defaults to &quot;%H:%M:%S&quot; if the option is not received:am_pm_names - a keyword list with the names of the period of the day, defaults to [am: &quot;am&quot;, pm: &quot;pm&quot;].Examples iex&gt; Datix.strptime(&quot;2021/01/10&quot;, &quot;%Y/%m/%d&quot;) {:ok, %{day: 10, month: 1, year: 2021}} iex&gt; Datix.strptime(&quot;21/01/10&quot;, &quot;%y/%m/%d&quot;) {:ok, %{day: 10, month: 1, year_2_digit: 21}} iex&gt; Datix.strptime(&quot;13/14/15&quot;, &quot;%H/%M/%S&quot;) {:ok, %{hour: 13, minute: 14, second: 15}} iex&gt; Datix.strptime(&quot;1 PM&quot;, &quot;%-I %p&quot;) {:ok, %{am_pm: :pm, hour_12: 1}} iex&gt; Datix.strptime(&quot;Tuesday&quot;, &quot;%A&quot;) {:ok, %{day_of_week: 2}} iex&gt; Datix.strptime(&quot;Tue&quot;, &quot;%a&quot;) {:ok, %{day_of_week: 2}} iex&gt; Datix.strptime(&quot;Di&quot;, &quot;%a&quot;, ...&gt; abbreviated_day_of_week_names: ~w(Mo Di Mi Do Fr Sa So)) {:ok, %{day_of_week: 2}}","ref":"Datix.html#strptime/3","title":"Datix.strptime/3","type":"function"},{"doc":"Parses a date-time string according to the given format, erroring out for invalid arguments.","ref":"Datix.html#strptime!/3","title":"Datix.strptime!/3","type":"function"},{"doc":"","ref":"Datix.html#t:t/0","title":"Datix.t/0","type":"type"},{"doc":"A Date parser using Calendar.strftime format string.","ref":"Datix.Date.html","title":"Datix.Date","type":"module"},{"doc":"Parses a date string according to the given format.See the Calendar.strftime documentation for how to specify a format-string.Options:calendar - the calendar to build the Date, defaults to Calendar.ISO:preferred_date - a string for the preferred format to show dates, it can't contain the %x format and defaults to &quot;%Y-%m-%d&quot; if the option is not received :month_names - a list of the month names, if the option is not received it defaults to a list of month names in English:abbreviated_month_names - a list of abbreviated month names, if the option is not received it defaults to a list of abbreviated month names in English:day_of_week_names - a list of day names, if the option is not received it defaults to a list of day names in English:abbreviated_day_of_week_names - a list of abbreviated day names, if the option is not received it defaults to a list of abbreviated day names in EnglishMissing values will be set to minimum.Examples iex&gt; Datix.Date.parse(&quot;2022-05-11&quot;, &quot;%x&quot;) {:ok, ~D[2022-05-11]} iex&gt; Datix.Date.parse(&quot;2021/01/10&quot;, &quot;%Y/%m/%d&quot;) {:ok, ~D[2021-01-10]} iex&gt; Datix.Date.parse(&quot;2021/01/10&quot;, &quot;%x&quot;, preferred_date: &quot;%Y/%m/%d&quot;) {:ok, ~D[2021-01-10]} iex&gt; Datix.Date.parse(&quot;18&quot;, &quot;%y&quot;) {:ok, ~D[0018-01-01]} iex&gt; Datix.Date.parse(&quot;&quot;, &quot;&quot;) {:ok, ~D[0000-01-01]} iex&gt; Datix.Date.parse(&quot;1736/13/03&quot;, &quot;%Y/%m/%d&quot;, calendar: Coptic) {:ok, ~D[1736-13-03 Cldr.Calendar.Coptic]} iex&gt; Datix.Date.parse(&quot;Mi, 1.4.2020&quot;, &quot;%a, %-d.%-m.%Y&quot;, ...&gt; abbreviated_day_of_week_names: ~w(Mo Di Mi Do Fr Sa So)) {:ok, ~D[2020-04-01]} iex&gt; Datix.Date.parse(&quot;Fr, 1.4.2020&quot;, &quot;%a, %-d.%-m.%Y&quot;, ...&gt; abbreviated_day_of_week_names: ~w(Mo Di Mi Do Fr Sa So)) {:error, :invalid_date}","ref":"Datix.Date.html#parse/3","title":"Datix.Date.parse/3","type":"function"},{"doc":"Parses a date string according to the given format, erroring out for invalid arguments.","ref":"Datix.Date.html#parse!/3","title":"Datix.Date.parse!/3","type":"function"},{"doc":"A DateTime parser using Calendar.strftime format-string.","ref":"Datix.DateTime.html","title":"Datix.DateTime","type":"module"},{"doc":"Parses a datetime string according to the given format.See the Calendar.strftime documentation for how to specify a format-string.The :ok tuple contains always an UTC datetime and a tuple with the time zone infos.Options:calendar - the calendar to build the Date, defaults to Calendar.ISO:preferred_date - a string for the preferred format to show dates, it can't contain the %x format and defaults to &quot;%Y-%m-%d&quot; if the option is not received :month_names - a list of the month names, if the option is not received it defaults to a list of month names in English:abbreviated_month_names - a list of abbreviated month names, if the option is not received it defaults to a list of abbreviated month names in English:day_of_week_names - a list of day names, if the option is not received it defaults to a list of day names in English:abbreviated_day_of_week_names - a list of abbreviated day names, if the option is not received it defaults to a list of abbreviated day names in English:preferred_time - a string for the preferred format to show times, it can't contain the %X format and defaults to &quot;%H:%M:%S&quot; if the option is not received:am_pm_names - a keyword list with the names of the period of the day, defaults to [am: &quot;am&quot;, pm: &quot;pm&quot;].Examples iex&gt; Datix.DateTime.parse(&quot;2021/01/10 12:14:24&quot;, &quot;%Y/%m/%d %H:%M:%S&quot;) {:ok, ~U[2021-01-10 12:14:24Z], {&quot;UTC&quot;, 0}} iex&gt; Datix.DateTime.parse(&quot;2018/06/27 11:23:55 CEST+0200&quot;, &quot;%Y/%m/%d %H:%M:%S %Z%z&quot;) {:ok, ~U[2018-06-27 09:23:55Z], {&quot;CEST&quot;, 7_200}}","ref":"Datix.DateTime.html#parse/3","title":"Datix.DateTime.parse/3","type":"function"},{"doc":"Parses a datetime string according to the given format, erroring out for invalid arguments.This function is just defined for UTC datetimes.Examples iex&gt; Datix.DateTime.parse!(&quot;2018/06/27 11:23:55 UTC+0000&quot;, &quot;%Y/%m/%d %H:%M:%S %Z%z&quot;) ~U[2018-06-27 11:23:55Z] iex&gt; Datix.DateTime.parse!(&quot;2018/06/27 11:23:55 CEST+0200&quot;, &quot;%Y/%m/%d %H:%M:%S %Z%z&quot;) ** (ArgumentError) parse!/3 is just defined for UTC, not for CEST","ref":"Datix.DateTime.html#parse!/3","title":"Datix.DateTime.parse!/3","type":"function"},{"doc":"A NaiveDateTime parser using Calendar.strftime format-string.","ref":"Datix.NaiveDateTime.html","title":"Datix.NaiveDateTime","type":"module"},{"doc":"Parses a datetime string according to the given format.See the Calendar.strftime documentation for how to specify a format-string.The :ok tuple contains always an UTC datetime and a tuple with the time zone infos.Options:calendar - the calendar to build the Date, defaults to Calendar.ISO:preferred_date - a string for the preferred format to show dates, it can't contain the %x format and defaults to &quot;%Y-%m-%d&quot; if the option is not received :month_names - a list of the month names, if the option is not received it defaults to a list of month names in English:abbreviated_month_names - a list of abbreviated month names, if the option is not received it defaults to a list of abbreviated month names in English:day_of_week_names - a list of day names, if the option is not received it defaults to a list of day names in English:abbreviated_day_of_week_names - a list of abbreviated day names, if the option is not received it defaults to a list of abbreviated day names in English:preferred_time - a string for the preferred format to show times, it can't contain the %X format and defaults to &quot;%H:%M:%S&quot; if the option is not received:am_pm_names - a keyword list with the names of the period of the day, defaults to [am: &quot;am&quot;, pm: &quot;pm&quot;].Time zone infos will be ignored.Examples iex&gt; Datix.NaiveDateTime.parse(&quot;2021/01/10 12:14:24&quot;, &quot;%Y/%m/%d %H:%M:%S&quot;) {:ok, ~N[2021-01-10 12:14:24]} iex&gt; Datix.NaiveDateTime.parse(&quot;2018/06/27 11:23:55 CEST+0200&quot;, &quot;%Y/%m/%d %H:%M:%S %Z%z&quot;) {:ok, ~N[2018-06-27 11:23:55Z]}","ref":"Datix.NaiveDateTime.html#parse/3","title":"Datix.NaiveDateTime.parse/3","type":"function"},{"doc":"Parses a datetime string according to the given format, erroring out for invalid arguments.","ref":"Datix.NaiveDateTime.html#parse!/3","title":"Datix.NaiveDateTime.parse!/3","type":"function"},{"doc":"A Time parser using Calendar.strftime format-string.","ref":"Datix.Time.html","title":"Datix.Time","type":"module"},{"doc":"Parses a time string according to the given format.See the Calendar.strftime documentation for how to specify a format-string.Options:calendar - the calendar to build the Time, defaults to Calendar.ISO:preferred_time - a string for the preferred format to show times, it can't contain the %X format and defaults to &quot;%H:%M:%S&quot; if the option is not received:am_pm_names - a keyword list with the names of the period of the day, defaults to [am: &quot;am&quot;, pm: &quot;pm&quot;].Missing values will be set to minimum.Examples iex&gt; Datix.Time.parse(&quot;11:12:55&quot;, &quot;%X&quot;) {:ok, ~T[11:12:55]} iex&gt; Datix.Time.parse(&quot;10 PM&quot;, &quot;%I %p&quot;) {:ok, ~T[22:00:00]}","ref":"Datix.Time.html#parse/3","title":"Datix.Time.parse/3","type":"function"},{"doc":"Parses a date string according to the given format, erroring out for invalid arguments.","ref":"Datix.Time.html#parse!/3","title":"Datix.Time.parse!/3","type":"function"}]